:NAME fiction_bubble


:PARAM float32 unused

:CONFIG float32 delay



-- ------------------- initialization ------------------- 


function param_initialize(p)
	p.unused= 0
end

function config_initialize(c)
	c.delay= 0
end


function update(object)
	local ws= world_state_get()
	local t= ws.time.time - object.placement_time
	
	if (t > config.delay) then
		object.tween_animation_play("start")
		sleep()
	end

end


component_register(nil, update, nil, nil)
